Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418594 - update_subscription_facet_backend_data upgrade steps takes too long with 6k hosts registered
Summary: update_subscription_facet_backend_data upgrade steps takes too long with 6k h...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Upgrades
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 09:53 UTC by Jan Hutař
Modified: 2019-09-26 14:03 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-03 18:22:23 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Hutař 2017-02-02 09:53:05 UTC
Description of problem:
update_subscription_facet_backend_data upgrade steps takes too long with 6k hosts registered. It is still running, currently at >1 hour for 6k registered hosts on a HW: 24xIntel(R) Xeon(R) CPU X5650 @ 2.67GHz and 50GB RAM, load is slightly below 1.


Version-Release number of selected component (if applicable):
Upgrade from 6.2.6 to 6.2.7


How reproducible:
1 of 1


Steps to Reproduce:
1. Upgrade Satellite 6.2.6 with 6k content hosts registered (through
   4 capsules) to 6.2.7


Actual results:
It takes above 1 hour to execute step update_subscription_facet_backend_data, load is below 1.


Expected results:
Would be nice to have this step faster.

Comment 1 Jan Hutař 2017-02-02 16:24:11 UTC
At the end, it look 105 minutes to perform update_subscription_facet_backend_data upgrade step.

Comment 10 sthirugn@redhat.com 2017-10-03 18:22:23 UTC
Performance test team did not see this in recent runs with 6.2.11.  I am moving this to Closed CurrentRelease. Please feel free to reopen if this issue is seen again.


Note You need to log in before you can comment on or make changes to this bug.